<?php
/*
Plugin Name: Lovelove Core
Plugin URI: http://themeforest.net/user/wpoceans
Description: Plugin to contain shortcodes and custom post types of the lovelove theme.
Author: wpoceans
Author URI: http://themeforest.net/user/wpoceans/portfolio
Version: 1.0.6
Text Domain: lovelove-core
*/

if (!function_exists('lovelove_block_direct_access')) {
  function lovelove_block_direct_access()
  {
    if (!defined('ABSPATH')) {
      exit('Forbidden');
    }
  }
}

// Plugin URL
define('LOVELOVE_PLUGIN_URL', plugins_url('/', __FILE__));

// Plugin PATH
define('LOVELOVE_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('LOVELOVE_PLUGIN_ASTS', LOVELOVE_PLUGIN_URL . 'assets');
define('LOVELOVE_PLUGIN_IMGS', LOVELOVE_PLUGIN_ASTS . '/images');
define('LOVELOVE_PLUGIN_INC', LOVELOVE_PLUGIN_PATH . 'include');

// DIRECTORY SEPARATOR
define('DS', DIRECTORY_SEPARATOR);

// Lovelove Elementor Shortcode Path
define('LOVELOVE_EM_SHORTCODE_BASE_PATH', LOVELOVE_PLUGIN_PATH . 'elementor/');
define('LOVELOVE_EM_SHORTCODE_PATH', LOVELOVE_EM_SHORTCODE_BASE_PATH . 'widgets/');

/**
 * Check if Codestar Framework is Active or Not!
 */
function lovelove_framework_active()
{
  return (defined('CS_VERSION')) ? true : false;
}

/* LOVELOVE_THEME_NAME_PLUGIN */
define('LOVELOVE_THEME_NAME_PLUGIN', 'Lovelove');

// Initial File
include_once(ABSPATH . 'wp-admin/includes/plugin.php');
if (is_plugin_active('lovelove-core/lovelove-core.php')) {

  // Custom Post Type
  require_once(LOVELOVE_PLUGIN_INC . '/custom-post-type.php');

  if (is_plugin_active('kingcomposer/kingcomposer.php')) {

    define('LOVELOVE_KC_SHORTCODE_BASE_PATH', LOVELOVE_PLUGIN_PATH . 'kc/');
    define('LOVELOVE_KC_SHORTCODE_PATH', LOVELOVE_KC_SHORTCODE_BASE_PATH . 'shortcodes/');
    // Shortcodes
    require_once(LOVELOVE_KC_SHORTCODE_BASE_PATH . '/kc-setup.php');
    require_once(LOVELOVE_KC_SHORTCODE_BASE_PATH . '/library.php');
  }

  // Theme Custom Shortcode
  require_once(LOVELOVE_PLUGIN_INC . '/custom-shortcodes/theme-shortcodes.php');
  require_once(LOVELOVE_PLUGIN_INC . '/custom-shortcodes/custom-shortcodes.php');

  // Importer
  require_once(LOVELOVE_PLUGIN_INC . '/demo/importer.php');


  if (class_exists('WP_Widget') && is_plugin_active('codestar-framework/cs-framework.php')) {
    // Widgets

    require_once(LOVELOVE_PLUGIN_INC . '/widgets/nav-widget.php');
    require_once(LOVELOVE_PLUGIN_INC . '/widgets/recent-posts.php');
    require_once(LOVELOVE_PLUGIN_INC . '/widgets/footer-posts.php');
    require_once(LOVELOVE_PLUGIN_INC . '/widgets/text-widget.php');
    require_once(LOVELOVE_PLUGIN_INC . '/widgets/widget-extra-fields.php');

    // Elementor
    if (file_exists(LOVELOVE_EM_SHORTCODE_BASE_PATH . '/em-setup.php')) {
      require_once(LOVELOVE_EM_SHORTCODE_BASE_PATH . '/em-setup.php');
      require_once(LOVELOVE_EM_SHORTCODE_BASE_PATH . 'lib/fields/icons.php');
      require_once(LOVELOVE_EM_SHORTCODE_BASE_PATH . 'lib/icons-manager/icons-manager.php');
    }
  }

  add_action('wp_enqueue_scripts', 'lovelove_plugin_enqueue_scripts');
  function lovelove_plugin_enqueue_scripts()
  {
    wp_enqueue_script('plugin-scripts', LOVELOVE_PLUGIN_ASTS . '/plugin-scripts.js', array('jquery'), '', true);
  }
}

// Extra functions
require_once(LOVELOVE_PLUGIN_INC . '/theme-functions.php');
