<?php
/*
 * All CSS and JS files are enqueued from this file
 * Author & Copyright:wpoceans
 * URL: http://themeforest.net/user/wpoceans
 */

/**
 * Enqueue Files for FrontEnd
 */
function lovelove_google_font_url() {
    $font_url = '';
    if ( 'off' !== esc_html__( 'on', 'lovelove' ) ) {
        $font_url = add_query_arg( 'family', urlencode( 'Jost:wght@300;400;500;600;700&display=swap' ), "//fonts.googleapis.com/css2" );
    }
     return str_replace( array("%3A","%40", "%3B", "%26", "%3D"), array(":", "@", ";", "&", "="), $font_url );
}

if ( ! function_exists( 'lovelove_scripts_styles' ) ) {
  function lovelove_scripts_styles() {

    // Styles
    wp_enqueue_style( 'themify-icons', LOVELOVE_CSS .'/themify-icons.css', array(), '4.6.3', 'all' );
    wp_enqueue_style( 'flaticon', LOVELOVE_CSS .'/flaticon.css', array(), '1.0.0', 'all' );
    wp_enqueue_style( 'bootstrap', LOVELOVE_CSS .'/bootstrap.min.css', array(), '5.0.1', 'all' );
    wp_enqueue_style( 'animate', LOVELOVE_CSS .'/animate.css', array(), '3.5.1', 'all' );
    wp_enqueue_style( 'odometer', LOVELOVE_CSS .'/odometer.css', array(), '0.4.8', 'all' );
    wp_enqueue_style( 'owl-carousel', LOVELOVE_CSS .'/owl.carousel.css', array(), '2.3.4', 'all' );
    wp_enqueue_style( 'owl-theme', LOVELOVE_CSS .'/owl.theme.css', array(), '2.0.0', 'all' );
    wp_enqueue_style( 'slick', LOVELOVE_CSS .'/slick.css', array(), '1.6.0', 'all' );
    wp_enqueue_style( 'swiper', LOVELOVE_CSS .'/swiper.min.css', array(), '4.0.7', 'all' );
    wp_enqueue_style( 'slick-theme', LOVELOVE_CSS .'/slick-theme.css', array(), '1.6.0', 'all' );
    wp_enqueue_style( 'owl-transitions', LOVELOVE_CSS .'/owl.transitions.css', array(), '2.0.0', 'all' );
    wp_enqueue_style( 'fancybox', LOVELOVE_CSS .'/fancybox.css', array(), '2.0.0', 'all' );
    wp_enqueue_style( 'magnific-popup', LOVELOVE_CSS .'/magnific-popup.css', array(), '2.0.0', 'all' );
    wp_enqueue_style( 'lovelove-style', LOVELOVE_CSS .'/styles.css', array(), LOVELOVE_VERSION, 'all' );
    wp_enqueue_style( 'element', LOVELOVE_CSS .'/elements.css', array(), LOVELOVE_VERSION, 'all' );
    if ( !function_exists('cs_framework_init') ) {
      wp_enqueue_style('lovelove-default-style', get_template_directory_uri() . '/style.css', array(),  LOVELOVE_VERSION, 'all' );
    }
    wp_enqueue_style( 'lovelove-default-google-fonts', esc_url( lovelove_google_font_url() ), array(), LOVELOVE_VERSION, 'all' );
    // Scripts
    wp_enqueue_script( 'bootstrap', LOVELOVE_SCRIPTS . '/bootstrap.min.js', array( 'jquery' ), '5.0.1', true );
    wp_enqueue_script( 'imagesloaded');
    wp_enqueue_script( 'isotope', LOVELOVE_SCRIPTS . '/isotope.min.js', array( 'jquery' ), '2.2.2', true );
    wp_enqueue_script( 'countdown', LOVELOVE_SCRIPTS . '/countdown.js', array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'fancybox', LOVELOVE_SCRIPTS . '/fancybox.min.js', array( 'jquery' ), '2.1.5', true );
    wp_enqueue_script( 'instafeed', LOVELOVE_SCRIPTS . '/instafeed.min.js', array( 'jquery' ), '2.1.5', true );
    wp_enqueue_script( 'circle-progress', LOVELOVE_SCRIPTS . '/circle-progress.min.js', array( 'jquery' ), '2.1.5', true );
    wp_enqueue_script( 'masonry');
    wp_enqueue_script( 'owl-carousel', LOVELOVE_SCRIPTS . '/owl-carousel.js', array( 'jquery' ), '2.3.4', true );
    wp_enqueue_script( 'jquery-easing', LOVELOVE_SCRIPTS . '/jquery-easing.js', array( 'jquery' ), '1.4.0', true );
    wp_enqueue_script( 'wow', LOVELOVE_SCRIPTS . '/wow.min.js', array( 'jquery' ), '1.4.0', true );
    wp_enqueue_script( 'odometer', LOVELOVE_SCRIPTS . '/odometer.min.js', array( 'jquery' ), '0.4.8', true );
    wp_enqueue_script( 'magnific-popup', LOVELOVE_SCRIPTS . '/magnific-popup.js', array( 'jquery' ), '1.1.0', true );
    wp_enqueue_script( 'slick-slider', LOVELOVE_SCRIPTS . '/slick-slider.js', array( 'jquery' ), '1.6.0', true );
    wp_enqueue_script( 'swiper', LOVELOVE_SCRIPTS . '/swiper.min.js', array( 'jquery' ), '4.0.7', true );
    wp_enqueue_script( 'wc-quantity-increment', LOVELOVE_SCRIPTS . '/wc-quantity-increment.js', array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'lovelove-scripts', LOVELOVE_SCRIPTS . '/scripts.js', array( 'jquery' ), LOVELOVE_VERSION, true );
    // Comments
    wp_enqueue_script( 'lovelove-inline-validate', LOVELOVE_SCRIPTS . '/jquery.validate.min.js', array( 'jquery' ), '1.9.0', true );
    wp_add_inline_script( 'lovelove-validate', 'jQuery(document).ready(function($) {$("#commentform").validate({rules: {author: {required: true,minlength: 2},email: {required: true,email: true},comment: {required: true,minlength: 10}}});});' );

    // Responsive Active
    $lovelove_viewport = cs_get_option('theme_responsive');
    if( !$lovelove_viewport ) {
      wp_enqueue_style( 'lovelove-responsive', LOVELOVE_CSS .'/responsive.css', array(), LOVELOVE_VERSION, 'all' );
    }

    // Adds support for pages with threaded comments
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }

  }
  add_action( 'wp_enqueue_scripts', 'lovelove_scripts_styles' );
}

/**
 * Enqueue Files for BackEnd
 */
if ( ! function_exists( 'lovelove_admin_scripts_styles' ) ) {
  function lovelove_admin_scripts_styles() {

    wp_enqueue_style( 'lovelove-admin-main', LOVELOVE_CSS . '/admin-styles.css', true );
    wp_enqueue_style( 'flaticon', LOVELOVE_CSS . '/flaticon.css', true );
    wp_enqueue_style( 'themify-icons', LOVELOVE_CSS . '/themify-icons.css', true );
    wp_enqueue_script( 'lovelove-admin-scripts', LOVELOVE_SCRIPTS . '/admin-scripts.js', true );

  }
  add_action( 'admin_enqueue_scripts', 'lovelove_admin_scripts_styles' );
}
