<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: wpoceans
 * URL: http://themeforest.net/user/wpoceans
 */
$lovelove_id    = ( isset( $post ) ) ? $post->ID : 0;
$lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
$lovelove_meta  = get_post_meta( $lovelove_id, 'page_type_metabox', true );
if ( $lovelove_meta ) {
	$lovelove_content_padding = $lovelove_meta['content_spacings'];
} else { $lovelove_content_padding = 'section-padding'; }
// Top and Bottom Padding
if ( $lovelove_content_padding && $lovelove_content_padding !== 'padding-default' ) {
	$lovelove_content_top_spacings = isset( $lovelove_meta['content_top_spacings'] ) ? $lovelove_meta['content_top_spacings'] : '';
	$lovelove_content_bottom_spacings = isset( $lovelove_meta['content_bottom_spacings'] ) ? $lovelove_meta['content_bottom_spacings'] : '';
	if ( $lovelove_content_padding === 'padding-custom' ) {
		$lovelove_content_top_spacings = $lovelove_content_top_spacings ? 'padding-top:'. lovelove_check_px( $lovelove_content_top_spacings ) .';' : '';
		$lovelove_content_bottom_spacings = $lovelove_content_bottom_spacings ? 'padding-bottom:'. lovelove_check_px($lovelove_content_bottom_spacings) .';' : '';
		$lovelove_custom_padding = $lovelove_content_top_spacings . $lovelove_content_bottom_spacings;
	} else {
		$lovelove_custom_padding = '';
	}
	$padding_class = '';
} else {
	$lovelove_custom_padding = '';
	$padding_class = '';
}

// Page Layout
$page_layout_options = get_post_meta( get_the_ID(), 'page_layout_options', true );
if ( $page_layout_options ) {
	$lovelove_page_layout = $page_layout_options['page_layout'];
	$page_sidebar_widget = $page_layout_options['page_sidebar_widget'];
} else {
	$lovelove_page_layout = 'right-sidebar';
	$page_sidebar_widget = '';
}
$page_sidebar_widget = $page_sidebar_widget ? $page_sidebar_widget : 'sidebar-1';
if ( $lovelove_page_layout === 'extra-width' ) {
	$lovelove_page_column = 'extra-width';
	$lovelove_page_container = 'container-fluid';
} elseif ( $lovelove_page_layout === 'full-width' ) {
	$lovelove_page_column = 'col-md-12';
	$lovelove_page_container = 'container ';
} elseif( ( $lovelove_page_layout === 'left-sidebar' || $lovelove_page_layout === 'right-sidebar' ) && is_active_sidebar( $page_sidebar_widget ) ) {
	if( $lovelove_page_layout === 'left-sidebar' ){
		$lovelove_page_column = 'col-md-8 order-12';
	} else {
		$lovelove_page_column = 'col-md-8';
	}
	$lovelove_page_container = 'container ';
} else {
	$lovelove_page_column = 'col-md-12';
	$lovelove_page_container = 'container ';
}
$lovelove_theme_page_comments = cs_get_option( 'theme_page_comments' );
get_header();
?>
<div class="page-wrap <?php echo esc_attr( $padding_class.''.$lovelove_content_padding ); ?>">
	<div class="<?php echo esc_attr( $lovelove_page_container.''.$lovelove_page_layout ); ?>" style="<?php echo esc_attr( $lovelove_custom_padding ); ?>">
		<div class="row">
			<div class="<?php echo esc_attr( $lovelove_page_column ); ?>">
				<div class="page-wraper clearfix">
				<?php
				while ( have_posts() ) : the_post();
					the_content();
					if ( !$lovelove_theme_page_comments && ( comments_open() || get_comments_number() ) ) :
						comments_template();
					endif;
				endwhile; // End of the loop.
				?>
				</div>
				<div class="page-link-wrap">
					<?php lovelove_wp_link_pages(); ?>
				</div>
			</div>
			<?php
			// Sidebar
			if( ($lovelove_page_layout === 'left-sidebar' || $lovelove_page_layout === 'right-sidebar') && is_active_sidebar( $page_sidebar_widget )  ) {
				get_sidebar();
			}
			?>
		</div>
	</div>
</div>
<?php
get_footer();