<?php
/*
 * The search template file.
 * Author & Copyright: wpoceans
 * URL: http://themeforest.net/user/wpoceans
 */
get_header();
	// Metabox
	$lovelove_id    = ( isset( $post ) ) ? $post->ID : 0;
	$lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
	$lovelove_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lovelove_id;
	$lovelove_meta  = get_post_meta( $lovelove_id, 'page_type_metabox', true );
	if ( $lovelove_meta ) {
		$lovelove_content_padding = isset( $lovelove_meta['content_spacings'] ) ? $lovelove_meta['content_spacings'] : '';
	} else { $lovelove_content_padding = ''; }
	// Padding - Metabox
	if ($lovelove_content_padding && $lovelove_content_padding !== 'padding-default') {
		$lovelove_content_top_spacings = $lovelove_meta['content_top_spacings'];
		$lovelove_content_bottom_spacings = $lovelove_meta['content_bottom_spacings'];
		if ($lovelove_content_padding === 'padding-custom') {
			$lovelove_content_top_spacings = $lovelove_content_top_spacings ? 'padding-top:'. lovelove_check_px($lovelove_content_top_spacings) .';' : '';
			$lovelove_content_bottom_spacings = $lovelove_content_bottom_spacings ? 'padding-bottom:'. lovelove_check_px($lovelove_content_bottom_spacings) .';' : '';
			$lovelove_custom_padding = $lovelove_content_top_spacings . $lovelove_content_bottom_spacings;
		} else {
			$lovelove_custom_padding = '';
		}
	} else {
		$lovelove_custom_padding = '';
	}
	// Theme Options
	$lovelove_sidebar_position = cs_get_option( 'blog_sidebar_position' );
	$lovelove_sidebar_position = $lovelove_sidebar_position ?$lovelove_sidebar_position : 'sidebar-right';
	$lovelove_blog_widget = cs_get_option( 'blog_widget' );
	$lovelove_blog_widget = $lovelove_blog_widget ? $lovelove_blog_widget : 'sidebar-1';

	if (isset($_GET['sidebar'])) {
	  $lovelove_sidebar_position = $_GET['sidebar'];
	}

	$lovelove_sidebar_position = $lovelove_sidebar_position ? $lovelove_sidebar_position : 'sidebar-right';

	// Sidebar Position
	if ( $lovelove_sidebar_position === 'sidebar-hide' ) {
		$layout_class = 'col col col-md-10 col-md-offset-1';
		$lovelove_sidebar_class = 'hide-sidebar';
	} elseif ( $lovelove_sidebar_position === 'sidebar-left' && is_active_sidebar( $lovelove_blog_widget ) ) {
		$layout_class = 'col col-md-8 col-md-push-3';
		$lovelove_sidebar_class = 'left-sidebar';
	} elseif( is_active_sidebar( $lovelove_blog_widget ) ) {
		$layout_class = 'col col-md-8';
		$lovelove_sidebar_class = 'right-sidebar';
	} else {
		$layout_class = 'col col-md-12';
		$lovelove_sidebar_class = 'hide-sidebar';
	}
	?>
<div class="wpo-blog-pg-section section-padding">
	<div class="container <?php echo esc_attr( $lovelove_content_padding .' '. $lovelove_sidebar_class ); ?>" style="<?php echo esc_attr( $lovelove_custom_padding ); ?>">
		<div class="row">
			<div class="<?php echo esc_attr( $layout_class ); ?>">
				<div class="blog-content">
				<?php
				if ( have_posts() ) :
					/* Start the Loop */
					while ( have_posts() ) : the_post();
						get_template_part( 'theme-layouts/post/content', 'search');
					endwhile;
				else :
					get_template_part( 'theme-layouts/post/content', 'none' );
				endif;
				lovelove_posts_navigation();
		    wp_reset_postdata(); ?>
		    </div>
			</div><!-- Content Area -->
			<?php
			if ( $lovelove_sidebar_position !== 'sidebar-hide' && is_active_sidebar( $lovelove_blog_widget ) ) {
				get_sidebar(); // Sidebar
			} ?>
		</div>
	</div>
</div>
<?php
get_footer();