<?php
/*
 * The template for displaying all single posts.
 * Author & Copyright: wpoceans
 * URL: http://themeforest.net/user/wpoceans
 */
get_header();
	// Metabox
	$lovelove_id    = ( isset( $post ) ) ? $post->ID : 0;
	$lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
	$lovelove_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lovelove_id;
	$lovelove_meta  = get_post_meta( $lovelove_id, 'page_type_metabox', true );
	if ( $lovelove_meta ) {
		$lovelove_content_padding = $lovelove_meta['content_spacings'];
	} else { $lovelove_content_padding = ''; }
	// Padding - Metabox
	if ( $lovelove_content_padding && $lovelove_content_padding !== 'padding-default' ) {
		$lovelove_content_top_spacings = $lovelove_meta['content_top_spacings'];
		$lovelove_content_bottom_spacings = $lovelove_meta['content_bottom_spacings'];
		if ( $lovelove_content_padding === 'padding-custom' ) {
			$lovelove_content_top_spacings = $lovelove_content_top_spacings ? 'padding-top:'. lovelove_check_px($lovelove_content_top_spacings) .';' : '';
			$lovelove_content_bottom_spacings = $lovelove_content_bottom_spacings ? 'padding-bottom:'. lovelove_check_px($lovelove_content_bottom_spacings) .';' : '';
			$lovelove_custom_padding = $lovelove_content_top_spacings . $lovelove_content_bottom_spacings;
		} else {
			$lovelove_custom_padding = '';
		}
	} else {
		$lovelove_custom_padding = '';
	}
	// Theme Options
	$lovelove_sidebar_position = cs_get_option( 'service_sidebar_position' );
	$lovelove_single_comment = cs_get_option( 'service_comment_form' );
	$lovelove_sidebar_position = $lovelove_sidebar_position ? $lovelove_sidebar_position : 'sidebar-hide';
	// Sidebar Position
	if ( $lovelove_sidebar_position === 'sidebar-hide' ) {
		$lovelove_layout_class = 'col col-lg-10 offset-lg-1';
		$lovelove_sidebar_class = 'hide-sidebar';
	} elseif ( $lovelove_sidebar_position === 'sidebar-left' ) {
		$lovelove_layout_class = 'col col-lg-8 order-lg-2';
		$lovelove_sidebar_class = 'left-sidebar';
	} else {
		$lovelove_layout_class = 'col-lg-8';
		$lovelove_sidebar_class = 'right-sidebar';
	} ?>
<div class="wpo-service-details-area section-padding <?php echo esc_attr( $lovelove_content_padding .' '. $lovelove_sidebar_class ); ?>" style="<?php echo esc_attr( $lovelove_custom_padding ); ?>">
	<div class="container">
		<div class="row">
			<div class="<?php echo esc_attr( $lovelove_layout_class ); ?>">
				<div class="service-single-content">
					<?php
					if ( have_posts() ) :
						/* Start the Loop */
						while ( have_posts() ) : the_post();
							if ( post_password_required() ) {
									echo '<div class="password-form">'.get_the_password_form().'</div>';
								} else {
									get_template_part( 'theme-layouts/post/service', 'content' );
									$lovelove_single_comment = !$lovelove_single_comment ? comments_template() : '';

								}
						endwhile;
					else :
						get_template_part( 'theme-layouts/post/content', 'none' );
					endif; ?>
				</div><!-- Blog Div -->
				<?php
		    wp_reset_postdata(); ?>
			</div><!-- Content Area -->
				<?php
				if ( $lovelove_sidebar_position !== 'sidebar-hide' ) {
					get_sidebar(); // Sidebar
				} ?>
		</div>
	</div>
</div>
<?php
get_footer();