<?php
  // Metabox
  $lovelove_id    = ( isset( $post ) ) ? $post->ID : 0;
  $lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
  $lovelove_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lovelove_id;
  $lovelove_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $lovelove_id : false;
  $lovelove_meta  = get_post_meta( $lovelove_id, 'page_type_metabox', true );

  // Header Style
  if ( $lovelove_meta ) {
    $lovelove_header_design  = $lovelove_meta['select_header_design'];
    $lovelove_sticky_header = isset( $lovelove_meta['sticky_header'] ) ? $lovelove_meta['sticky_header'] : '' ;
    $lovelove_search = isset( $lovelove_meta['lovelove_search'] ) ? $lovelove_meta['lovelove_search'] : '';
  } else {
    $lovelove_header_design  = cs_get_option( 'select_header_design' );
    $lovelove_sticky_header  = cs_get_option( 'sticky_header' );
    $lovelove_search  = cs_get_option( 'lovelove_search' );
  }

  $lovelove_cart_widget  = cs_get_option( 'lovelove_cart_widget' );
  $lovelove_header_social  = cs_get_option( 'header_social' );
  $lovelove_social_icons  = cs_get_option( 'header_social_icons' );

  if ( $lovelove_header_design === 'default' ) {
    $lovelove_header_design_actual  = cs_get_option( 'select_header_design' );
  } else {
    $lovelove_header_design_actual = ( $lovelove_header_design ) ? $lovelove_header_design : cs_get_option('select_header_design');
  }
  $lovelove_header_design_actual = $lovelove_header_design_actual ? $lovelove_header_design_actual : 'style_two';

  if ( $lovelove_meta && $lovelove_header_design !== 'default') {
   $lovelove_search = isset( $lovelove_meta['lovelove_search'] ) ? $lovelove_meta['lovelove_search'] : '';
  } else {
    $lovelove_search  = cs_get_option( 'lovelove_search' );
  }

  if ( $lovelove_cart_widget ) {
    $cart_class = 'has-cart ';
  } else {
    $cart_class = 'not-has-cart ';
  }
  if ( $lovelove_search ) {
   $search_class = 'not-has-search ';
  } else {
    $search_class = 'has-search ';
  }
  if ( has_nav_menu( 'primary' ) ) {
     $menu_padding = ' has-menu ';
  } else {
     $menu_padding = ' dont-has-menu ';
  }

  if ( $lovelove_header_design_actual == 'style_one') {
    $header_logo_col = ' d-lg-none dl-block';
  }  else {
    $header_logo_col = ' col-lg-2';
  }

  if ($lovelove_meta) {
    $lovelove_choose_menu = $lovelove_meta['choose_menu'];
  } else { $lovelove_choose_menu = ''; }
  $lovelove_choose_menu = $lovelove_choose_menu ? $lovelove_choose_menu : '';

?>
<!-- Navigation & Search -->
 <div class="container-fluid">
    <div class="row align-items-center">
      <div class="col-lg-3 col-md-3 col-3 d-lg-none dl-block">
          <div class="mobail-menu">
              <button type="button" class="navbar-toggler open-btn">
                  <span class="sr-only"><?php echo esc_html__( 'Toggle navigation','lovelove' ) ?></span>
                  <span class="icon-bar first-angle"></span>
                  <span class="icon-bar middle-angle"></span>
                  <span class="icon-bar last-angle"></span>
              </button>
          </div>
      </div>
      <?php if ( $lovelove_header_design_actual == 'style_one' && $lovelove_header_social ) { ?>
        <div class="col-lg-2 col-md-6 col-6 d-lg-block d-none">
          <?php echo do_shortcode( $lovelove_social_icons ); ?>
        </div>
      <?php } ?>
      <div class="col-md-6 col-6 <?php echo esc_attr( $header_logo_col ); ?>"><!-- Start of Logo -->
          <div class="navbar-header">
            <?php get_template_part( 'theme-layouts/header/logo' ); ?>
          </div>
      </div>
      <div class="col-lg-9 col-md-1 col-1"><!-- Start of nav-collapse -->
        <div id="navbar" class="collapse navbar-collapse navigation-holder <?php echo esc_attr( $menu_padding.$cart_class.$search_class ); ?>">
            <button class="menu-close"><i class="ti-close"></i></button>
            <?php
              wp_nav_menu(
                array(
                  'menu'              => 'primary',
                  'theme_location'    => 'primary',
                  'container'         => '',
                  'container_class'   => '',
                  'container_id'      => '',
                  'menu'              => $lovelove_choose_menu,
                  'menu_class'        => 'nav navbar-nav menu nav-menu mb-2 mb-lg-0',
                  'fallback_cb'       => '__return_false',
                )
              );
            ?>
        </div><!-- end of nav-collapse -->
      </div>
      <?php get_template_part( 'theme-layouts/header/search','bar' ); ?>
    </div><!-- end of row -->
  </div><!-- end of container -->


